EnumerationMapEntry (install4j API)
Description: declaration: package: com.install4j.api.beaninfo, class: EnumerationMapEntry

Package com.install4j.api.beaninfo

# Class EnumerationMapEntry

java.lang.Object
com.install4j.api.beaninfo.EnumerationMapEntry

public class EnumerationMapEntry extends Object
Entry in an enumeration defined by `EnumerationMapper`. An enumeration map entry maps a verbose description to an arbitrary object. For primitive enumerated values, an instance of the corresponding wrapper class can be used for the object property.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnumerationMapEntry(String name, Object object)`
  Construct a map entry.
  `EnumerationMapEntry(String name, Object object, Icon icon)`
  Construct a map entry.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Icon`
  `getIcon()`
  Get the icon that is to be displayed in the drop-down list in the IDE.
  `String`
  `getName()`
  Get the name of the map entry.
  `Object`
  `getObject()`
  Get the object mapped to the specified name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EnumerationMapEntry

    public EnumerationMapEntry(String name, Object object)
    Construct a map entry.
    Parameters:
      `name` - the name
      `object` - the object

  - ### EnumerationMapEntry

    public EnumerationMapEntry(String name, Object object, Icon icon)
    Construct a map entry.
    Parameters:
      `name` - the name
      `object` - the object
      `icon` - the icon to be displayed in the drop-down list in the IDE, may be `null`

- ## Method Details

  - ### getName

    public String getName()
    Get the name of the map entry. This name is displayed in the install4j GUI.
    Returns:
      the name

  - ### getObject

    public Object getObject()
    Get the object mapped to the specified name.
    Returns:
      the object

  - ### getIcon

    public Icon getIcon()
    Get the icon that is to be displayed in the drop-down list in the IDE.
    Returns:
      the icon or `null` if no icon is defined